package market.Qms.metallurgy.mapper;
import market.Qms.metallurgy.vo.ComMscStation;

import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

import com.hnshituo.orm.GenericMapper;

public interface ComMscStationMapper extends GenericMapper<ComMscStation,Object> {
	
	public void doUpdateStation(ComMscStation Station);
	
	@Update("update COM_MSC_STATION a set a.validflag='1' where a.msc=#{msc}")
	public void SubmitA(@Param("msc") String msc);
	
	@Update("update COM_MSC_STATION a set a.validflag='0' where a.msc=#{msc}")
	public void SubmitD(@Param("msc") String msc);
	
	public String doSelectStation(ComMscStation Station);
	
	@Delete("delete from COM_MSC_STATION where msc=#{msc} and msc_pline=#{psc}")
	public void deleteStation(@Param("msc")String msc,@Param("psc")String psc);
	
	
	@Update("update COM_MSC_STATION a set a.validflag='0' where a.msc=#{msc} and a.msc_pline=#{msc_pline}")
	public void UpdateZf(@Param("msc")String msc,@Param("msc_pline")String msc_pline);
	
	@Update("update COM_MSC_GRADE_R_SPEC a set a.validflag='0' where a.msc=#{msc} and a.msc_pline=#{msc_pline}")
	public void UpdateZfs(@Param("msc")String msc,@Param("msc_pline")String msc_pline);
	
	@Update("update COM_MSC_STATION a set a.validflag='1' where a.msc=#{msc} and a.msc_pline=#{msc_pline}")
	public void UpdateHf(@Param("msc")String msc,@Param("msc_pline")String msc_pline);
	
	@Update("update COM_MSC_GRADE_R_SPEC a set a.validflag='1' where a.msc=#{msc} and a.msc_pline=#{msc_pline}")
	public void UpdateHfs(@Param("msc")String msc,@Param("msc_pline")String msc_pline);
	
	@Delete("delete from COM_MSC_STATION where guid=#{guid}")
	public void deleteByGuid(@Param("guid")String guid);
	
	@Delete("delete from COM_MSC_STATION where msc=#{msc} and msc_pline=#{msc_plie}")
	public void deletemsc(@Param("msc")String msc,@Param("msc_plie")String msc_plie);
}
